=== tests/run-make/issue-53964/Makefile ===
include ../tools.mk

all:
	$(RUSTC) panic.rs
	$(RUSTC) -C panic=abort --emit=obj app.rs -L $(TMPDIR)
