=== src/llvm-project/clang-tools-extra/clang-tidy/boost/CMakeLists.txt ===
set(LLVM_LINK_COMPONENTS
  support
  FrontendOpenMP
  )

add_clang_library(clangTidyBoostModule
  BoostTidyModule.cpp
  UseToStringCheck.cpp

  LINK_LIBS
  clangTidy
  clangTidyUtils

  DEPENDS
  omp_gen
  ClangDriverOptions
  )

clang_target_link_libraries(clangTidyBoostModule
  PRIVATE
  clangAST
  clangASTMatchers
  clangBasic
  clangLex
  )
