=== src/llvm-project/lldb/unittests/Interpreter/CMakeLists.txt ===
add_lldb_unittest(InterpreterTests
  TestCommandPaths.cpp
  TestCompletion.cpp
  TestOptionArgParser.cpp
  TestOptionValue.cpp
  TestOptionValueFileColonLine.cpp
  TestRegexCommand.cpp

  LINK_LIBS
      lldbCore
      lldbHost
      lldbTarget
      lldbSymbol
      lldbUtility
      lldbUtilityHelpers
      lldbInterpreter
      lldbPluginPlatformMacOSX
      LLVMTestingSupport
)
