=== src/llvm-project/lldb/test/API/commands/expression/persist_objc_pointeetype/Makefile ===
OBJC_SOURCES := main.m


LD_EXTRAS := -framework Foundation -framework CloudKit

include Makefile.rules
