=== debian/changelog ===
rustc-1.78 (1.78.0+dfsg1ubuntu1~bpo0-0ubuntu0.22.04) jammy; urgency=medium

  * Backport to Jammy (LP: #2075108)
    - d/p/ubuntu-backport-disable-newer-tests.patch: add a patch to disable
      newer tests that can't pass on older Ubuntu series
    - d/p/ubuntu-jammy-skip-gdb-tests-on-armhf.patch: add a patch to
      disable gdb tests on armhf
    - Re-enable libgit2 vendoring:
      - d/control: remove libgit2-dev and libhttp-parser-dev from B-D
    - Re-enable LLVM vendoring (LLVM 18.1.2)
    - d/control: Comment out the Vendored-Sources-Rust support as it's
      not available in older releases
    - d/control: revert pkgconf to pkg-config
    - d/p/build/d-bootstrap-disable-git.patch: fix the patch so that version
      information is still included correctly when building under
      Debian or Ubuntu

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 15 Aug 2024 20:11:23 -0600
