=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 # Defines DEB_*_RUST_TYPE triples
 include debian/architecture.mk
+# for dh_install substitution variable
 export DEB_HOST_RUST_TYPE
 
 # Let rustbuild control whether LLVM is compiled with debug symbols, rather
