=== debian/changelog ===
rustc-1.78 (1.78.0+dfsg1ubuntu1-0ubuntu0.24.04) noble; urgency=medium

  * Backport to Noble (LP: #2075108)

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 15 Aug 2024 20:11:23 -0600
